setwd("/Users/kramsay/Dropbox/Gulliver - Revisions/R Figures/")
library(foreign)
library(plyr)
library(reshape2)
library(car)
library(TTR)
library(ggplot2)
library(caTools)
load("IORR_data515.RData")

##Figure 1
##US/Russia Military expenditures
png("Fig1.png", height=200, width=600)


ggplot(data=Fig1B.data)+ #aes(x=year, y=milexUSA09b, color="Country")) +
  geom_ribbon(aes(x=year, ymin=milexRUS09, ymax=milexUSA09b), fill="grey", alpha=.9)+ 
  geom_line(aes(x=year, y=milexUSA09b),linetype="dashed")+
  geom_line(aes(x=year, y=milexRUS09))+
  labs(y="")+
  labs(x="")+
  theme(legend.title = element_text(face="bold"), text=element_text(size=18))+
  scale_color_discrete(name="Country")+
  scale_x_continuous(breaks=seq(1975,2005, by=5), expand=c(0,0))+
  annotate("text", x = 1983, y = 300, label = "Russian expenditures")+
  annotate("text", x = 1996, y = 500, label = "US  expenditures")+
  annotate("text", x = 1998, y = 250, label = "Expenditure Gap")+
  annotate("segment", x = 1987.5, xend = 1988.5, y = 300, yend = 300,
  )+
  annotate("segment", x = 1994, xend = 1995, y = 430, yend = 470,
  )+
  theme_bw()
dev.off()



##Figure 
###Nuclear Warheads

png("nukes1.png", height=200, width=600)
ggplot(data=nuke1.data)+ #aes(x=year, y=milexUSA09b, color="Country")) +
  geom_line(aes(x=year, y=US),linetype="dashed")+
  geom_line(aes(x=year, y=USSR))+
  labs(y="")+
  labs(x="")+
  theme(legend.title = element_text(face="bold"), text=element_text(size=18))+
  scale_color_discrete(name="Country")+
  scale_x_continuous(breaks=seq(1945,2010, by=5), expand=c(0,0))+
  annotate("text", x = 1973, y = 39000, label = "Russian warheads")+
  annotate("text", x = 1987, y = 9500, label = "US warheads")+
  annotate("segment", x = 1980.5, xend = 1984, y = 38550, yend = 38050,
  )+
  annotate("segment", x = 1993, xend = 1997, y = 9050, yend = 10550,
  )+
  theme_bw()
dev.off()

#Figure 
##US China Military Expendtures
png("PCWmilEXP2.png", height=200, width=575)

ggplot(data=EXP2.data)+ #aes(x=year, y=milexUSA09b, color="Country")) +
  geom_line(aes(x=V1, y=USex),linetype="dashed")+
  geom_line(aes(x=V1, y=PRCex))+
  labs(y="")+
  labs(x="")+
  theme(legend.title = element_text(face="bold"), text=element_text(size=18))+
  scale_color_discrete(name="Country")+
  scale_x_continuous(breaks=seq(1989,2011, by=5), expand=c(0,0))+
  annotate("text", x = 1996, y = 550, label = "US Expenditures bn. 2009 US$")+
  annotate("text", x = 2000, y = 150, label = "China Expenditures bn. 2009 US$")+
  annotate("segment", x = 2000.25, xend = 2002, y = 525, yend = 445,
  )+
  annotate("segment", x = 2004.75, xend = 2007, y = 140, yend = 90,
  )+
  theme_bw()

dev.off()



##Figure 
##Military capital stock
###Make plot
png("Ratio.png", height=200, width=575)

ggplot(data=USPRCfig.data)+ #aes(x=year, y=milexUSA09b, color="Country")) +
  geom_line(aes(x=year, y=McapRusprc))+
  geom_line(aes(x=year, y=.95), linetype="dashed")+
  geom_ribbon(aes(x=year, ymin=.95, ymax=McapRusprc), fill="grey", alpha=.9)+
  scale_y_continuous(breaks=seq(1,8, by=1), limits=c(0,8))+
  labs(y="")+
  labs(x="")+
  theme(legend.title = element_text(face="bold"), text=element_text(size=18))+
  #   #scale_color_discrete(name="Country")+
  scale_x_continuous(breaks=seq(1994,2007, by=1), expand=c(0.01,0))+
  annotate("text", x = 2003, y = 6.5, label = "Military Capital Stock Ratio US/China")+
  annotate("text", x = 2002, y = 2.5, label = "Military Capital Stock Surplus over Cold War")+
  annotate("segment", x = 1999, xend = 2002, y = 4.75, yend = 6.2)+
  annotate("segment", x = 1998, xend = 1999, y = .4, yend = .95,)+
  annotate("text", x = 1998, y = .25, label = "Average Cold War Military Capital Stock Ratio")+
  theme_bw()

dev.off()